Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath
Class Arg

    java.lang.Object
      |
      +--org.apache.xpath.Arg

public class Arg
extends java.lang.Object

**For internal use only** This class holds an instance of an argument on the stack.

Constructor Summary
`Arg()` **For internal use only** Construct a dummy parameter argument.
`Arg(QName qname, java.lang.String expression, boolean isParamVar)` **For internal use only** Construct a parameter argument.
`Arg(QName qname, XObject val)` **For internal use only** Construct a parameter argument.
`Arg(QName qname, XObject val, boolean isParamVar)` **For internal use only** Construct a parameter argument.

Method Summary
`boolean` | `equals(java.lang.Object obj)` **For internal use only** Override equals and agree that we're equal if the passed object is a string and it matches the name of the arg.
`boolean` | `equals(QName qname)` **For internal use only** Override equals and agree that we're equal if the passed object is a QName and it matches the name of the arg.
`java.lang.String` | `getExpression()` **For internal use only** Get the value expression for this argument.
`QName` | `getQName()` **For internal use only** Get the qualified name for this argument.
`XObject` | `getVal()` **For internal use only** Get the value for this argument.
`void` | `setExpression(java.lang.String expr)` **For internal use only** Set the value expression for this argument.
`void` | `setQName(QName name)` **For internal use only** Set the qualified name for this argument.
`void` | `setVal(XObject val)` **For internal use only** Set the value for this argument.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Arg

    public Arg()

  **For internal use only** Construct a dummy parameter argument.

### Arg

    public Arg(QName qname,
               java.lang.String expression,
               boolean isParamVar)

  **For internal use only** Construct a parameter argument.

### Arg

    public Arg(QName qname,
               XObject val)

  **For internal use only** Construct a parameter argument.

### Arg

    public Arg(QName qname,
               XObject val,
               boolean isParamVar)

  **For internal use only** Construct a parameter argument.

Method Detail

### getQName

    public QName getQName()

  **For internal use only** Get the qualified name for this argument.

### setQName

    public void setQName(QName name)

  **For internal use only** Set the qualified name for this argument.

### getVal

    public XObject getVal()

  **For internal use only** Get the value for this argument.

### setVal

    public void setVal(XObject val)

  **For internal use only** Set the value for this argument.

### getExpression

    public java.lang.String getExpression()

  **For internal use only** Get the value expression for this argument.

### setExpression

    public void setExpression(java.lang.String expr)

  **For internal use only** Set the value expression for this argument.

### equals

    public boolean equals(java.lang.Object obj)

  **For internal use only** Override equals and agree that we're equal if the passed object is a string and it matches the name of the arg.
  Overrides:
    equals in class java.lang.Object

### equals

    public boolean equals(QName qname)

  **For internal use only** Override equals and agree that we're equal if the passed object is a QName and it matches the name of the arg.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.